Skip to main content
GET
/
external-api-logs
List external API logs
curl --request GET \
  --url https://api.getmembrane.com/external-api-logs \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "workspaceId": "<string>",
      "customerId": "<string>",
      "integrationId": "<string>",
      "connectionId": "<string>",
      "statusCode": 123,
      "isSuccess": true,
      "s3Uri": "<string>",
      "createdAt": "<string>",
      "requestUrl": "<string>",
      "duration": 123,
      "externalAppId": "<string>"
    }
  ],
  "cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer

Maximum number of items to return (1-1000)

Required range: 1 <= x <= 1000
cursor
string

Pagination cursor from a previous response

tenantId
string
integrationId
string
connectionId
string
isSuccess
boolean
externalAppId
string
from
string
to
string
sortOrder
enum<string>
Available options:
asc,
desc

Response

200 - application/json
items
object[]
required
cursor
string